/* 
 * SDLInvasion a Space Invader clone.
 * Copyright (C) 2002 Laurent GOMEZ & MiKael NAVARRO
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 */


#include <stdio.h>
#include <stdlib.h>

#include "SDL.h"

#include "invasion.h"


/* Run Invasion !
 */
void runInvasion(SDL_Surface *screen, Player *player) {
   int done = 0;

   /* Game loop */
   while(Player_isAlive(player) && !done) {
      Uint8 *keys;
      SDL_Event event;

      keys = SDL_GetKeyState(NULL); /* quit */
      if(keys[SDLK_ESCAPE]==SDL_PRESSED) {
         done = 1;
      }

      while(SDL_PollEvent(&event)) {
	switch(event.type) {
	case SDL_QUIT:
	  return;
	case SDL_KEYDOWN:
	  switch(event.key.keysym.sym) {
	  case SDLK_LEFT:
            Player_moveLeft(player);
	    break;
	  case SDLK_RIGHT:
            Player_moveRight(player);
	    break;
	  default:
	    break;
	  }
	  break;
	case SDL_KEYUP:
	  switch(event.key.keysym.sym) {
	  case SDLK_LEFT:
            if(Player_xvel(player) < 0) Player_stop(player);
	    break;
	  case SDLK_RIGHT:
            if(Player_xvel(player) > 0) Player_stop(player);
	    break;
	  default:
	    break;
	  }
	  break;
	default:
	  break;
	}
      } /* end while */
      
      /* Update player position */
      Player_draw(player, screen);

   } /* end while player is alive */
      
}
